> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://uploadcare.com/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://uploadcare.com/docs/_mcp/server.

# Document info

GET https://api.uploadcare.com/convert/document/{uuid}/

The endpoint allows you to determine the document format and possible conversion formats.

Reference: https://uploadcare.com/docs/api/rest/conversion/document-convert-info

## Authentication

- `Authorization` header (required) — Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

## Request

### Path parameters

- `uuid` (string, required) — File uuid.

### Headers

- `Accept` (string, required) — Version header.

## Response

### 200

Success.

- `error` (string, optional, nullable) — Holds an error if your document can't be handled.
- `format` (ConvertDocumentUuidGetResponsesContentApplicationJsonSchemaFormat, optional) — Document format details.
- `converted_groups` (map from string to string, optional) — Information about already converted groups. Each key is a conversion format (e.g. `pdf`), and the value is the converted group's ID.

## Errors

### 400 Bad Request Error

Simple HTTP Auth or document conversion permission errors.

- `DocumentConvertInfoRequestBadRequestError`

### 401 Unauthorized Error

Authorization errors.

- `detail` (enum, optional)
  - Allowed values: `Incorrect authentication credentials.`, `Public key {public_key} not found.`, `Secret key not found.`, `Invalid signature. Please check your Secret key.`

### 404 Not Found Error

Document with specified ID is not found.

- `detail` (string, optional, default: Not found.)

### 406 Not Acceptable Error

Invalid version header `Accept` for this endpoint.

- `detail` (string, optional, default: Incorrect Accept header provided. Make sure to specify API version. Refer to REST API docs for details.)

### 429 Too Many Requests Error

Request was throttled.

- `detail` (string, optional)

## Types

### ConvertDocumentUuidGetResponsesContentApplicationJsonSchemaFormat

Document format details.

- `name` (string, optional) — A detected document format.
- `conversion_formats` (list of ConvertDocumentUuidGetResponsesContentApplicationJsonSchemaFormatConversionFormatsItems, optional) — The conversions that are supported for the document.

### simpleAuthHTTPForbidden

- `detail` (string, optional, default: Simple authentication over HTTP is forbidden. Please, use HTTPS or signed requests instead.)

### cantUseDocsConversionError

- `detail` (string, optional, default: Document conversion feature is not available for this project.)

### ConvertDocumentUuidGetResponsesContentApplicationJsonSchemaFormatConversionFormatsItems

- `name` (string, optional) — Supported target document format.

## Examples

**Response**

```json
{
  "error": null,
  "format": {
    "name": "txt",
    "conversion_formats": [
      {
        "name": "epub"
      },
      {
        "name": "pdf"
      }
    ]
  },
  "converted_groups": {
    "pdf": "49732da8-1530-470c-8743-998c4c634718~5"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/"

headers = {
    "Accept": "application/vnd.uploadcare-v0.7+json",
    "Authorization": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/';
const options = {
  method: 'GET',
  headers: {Accept: 'application/vnd.uploadcare-v0.7+json', Authorization: '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/vnd.uploadcare-v0.7+json")
	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/vnd.uploadcare-v0.7+json'
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/")
  .header("Accept", "application/vnd.uploadcare-v0.7+json")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/', [
  'headers' => [
    'Accept' => 'application/vnd.uploadcare-v0.7+json',
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/vnd.uploadcare-v0.7+json");
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/vnd.uploadcare-v0.7+json",
  "Authorization": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.uploadcare.com/convert/document/86c91c35-58e1-41f7-9b23-2d7652cfcd17/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```